com.microfocus.awm.control.toolexecution

## Class AbstractCommandBasedToolExecutor

- java.lang.Object
- - com.microfocus.awm.control.toolexecution.AbstractCommandBasedToolExecutor

- All Implemented Interfaces:
    IToolExecutor2
  Direct Known Subclasses:
    OSCommandToolExecutor2

      public abstract class AbstractCommandBasedToolExecutor
      extends java.lang.Object
      implements IToolExecutor2

  Abstract tool executor for command based tools (e.g. `Execute OS Command`).
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCommandBasedToolExecutor()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getParameterSeparatorWithoutQuotes(IToolContext pToolContext, java.lang.String pParmSeparatorAttributeID)`
    `static ResourceOperation` | `parseResourceOperation(ToolDescriptor pTool, java.lang.String pLine, java.lang.String pSeparator, java.util.List<Property> pResourceOperationProperties, IExecutionContext pContext)` Parses a resource operation if the given line starts with one of the resource operation keywords (see `EResourceProcessingTypes`).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolExecutor2

      `createToolContext, executeMassProcessing, executeSingleProcessing, init, supportsMassProcessing`

- - ### Constructor Detail

    - #### AbstractCommandBasedToolExecutor

          public AbstractCommandBasedToolExecutor()

  - ### Method Detail

    - #### parseResourceOperation

          public static ResourceOperation parseResourceOperation(ToolDescriptor pTool,
                                                                 java.lang.String pLine,
                                                                 java.lang.String pSeparator,
                                                                 java.util.List<Property> pResourceOperationProperties,
                                                                 IExecutionContext pContext)
                                                          throws TaurusToolException

      Parses a resource operation if the given line starts with one of the resource operation keywords (see `EResourceProcessingTypes`). Returns `null` if the line is not a valid resource operation or does not contain a resource operation at all.
      Parameters:
        `pTool` - the tool that's being executed
        `pLine` - the line which might contain a resource operation.
        `pSeparator` - delimiter used to separate resource operation values
        `pResourceOperationProperties` - the properties to map resource operation values to
        `pContext` - execution context
      Returns:
        a resource operation or `null`.
      Throws:
        `TaurusToolException` - if an error occurs during parsing of resource operation parameters.

    - #### getParameterSeparatorWithoutQuotes

          public static java.lang.String getParameterSeparatorWithoutQuotes(IToolContext pToolContext,
                                                                            java.lang.String pParmSeparatorAttributeID)
                                                                     throws TaurusToolException

      Parameters:
        `pToolContext` - the tool descriptor
        `pParmSeparatorAttributeID` - the ID of the of the parameter separator complex attribute
      Returns:
        the attribute value of the parameter separator complex attribute without quotes
      Throws:
        `TaurusToolException` - an issue occurred accessing the parameter separator attribute.

Copyright © 2015 Micro Focus GmbH. All rights reserved.